package com.sistema_ventas.model;
// Generated 11-13-2019 11:40:49 AM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Categorias generated by hbm2java
 */
@Entity
@Table(name="categorias"
    ,catalog="sistema_ventas"
)
public class Categorias  implements java.io.Serializable {


     /**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private Integer idcat;
     private String categoria;
     private Set<Productos> productoses = new HashSet<Productos>(0);

    public Categorias() {
    }

	
    public Categorias(String categoria) {
        this.categoria = categoria;
    }
    public Categorias(String categoria, Set<Productos> productoses) {
       this.categoria = categoria;
       this.productoses = productoses;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="idcat", unique=true, nullable=false)
    public Integer getIdcat() {
        return this.idcat;
    }
    
    public void setIdcat(Integer idcat) {
        this.idcat = idcat;
    }

    
    @Column(name="categoria", nullable=false, length=65535)
    public String getCategoria() {
        return this.categoria;
    }
    
    public void setCategoria(String categoria) {
        this.categoria = categoria;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="categorias")
    public Set<Productos> getProductoses() {
        return this.productoses;
    }
    
    public void setProductoses(Set<Productos> productoses) {
        this.productoses = productoses;
    }




}


